%define module pyaudio

Name:           python-%{module}
Version:        0.2.14
Release:        %mkrel 1
Summary:        Python bindings for PortAudio
License:        MIT
Group:          Development/Python
Url:            http://people.csail.mit.edu/hubert/pyaudio/
Source0:        https://pypi.io/packages/source/P/PyAudio/PyAudio-%{version}.tar.gz
BuildRequires:  portaudio-devel

%description
PyAudio provides Python bindings for PortAudio, the cross-platform audio I/O
library. With PyAudio, you can easily use Python to play and record audio on
a variety of platforms.

%package -n python3-%{module}
Summary:        Python 3 bindings for PortAudio
Group:          Development/Python
%{?python_provide:%python_provide python3-%{module}}
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  pyproject-rpm-macros

%description -n python3-%{module}
PyAudio provides Python bindings for PortAudio, the cross-platform audio I/O
library. With PyAudio, you can easily use Python to play and record audio on
a variety of platforms.

%prep
%setup -q -n PyAudio-%{version}

# remove some pre-built binaries
rm -rf packaging

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files pyaudio

rm -rf %{buildroot}%{python3_sitelib}/logilab/common/test

%files -n python3-%{module} -f %{pyproject_files}
%doc README.md CHANGELOG


%changelog
* Sat Feb 17 2024 papoteur <papoteur> 0.2.14-1.mga9
+ Revision: 2042173
- new version 0.2.14

* Fri Apr 01 2022 umeabot <umeabot> 0.2.11-6.mga9
+ Revision: 1839041
- Mageia 9 Mass Rebuild

* Tue Feb 22 2022 mrambo3501 <mrambo3501> 0.2.11-5.mga9
+ Revision: 1783265
- rebuild for python-3.10

* Tue Apr 20 2021 daviddavid <daviddavid> 0.2.11-4.mga9
+ Revision: 1717236
- rebuild for python 3.9

* Sun Feb 16 2020 umeabot <umeabot> 0.2.11-3.mga8
+ Revision: 1535597
- Mageia 8 Mass Rebuild

* Sun Oct 13 2019 tv <tv> 0.2.11-2.mga8
+ Revision: 1452484
- rebuild for python-3.8
- drop python2 subpkg

* Wed Jan 09 2019 shlomif <shlomif> 0.2.11-1.mga7
+ Revision: 1353847
- Rebuild for python3 3.7

* Sun Sep 23 2018 umeabot <umeabot> 0.2.8-11.mga7
+ Revision: 1300554
- Mageia 7 Mass Rebuild

* Sat Aug 05 2017 pterjan <pterjan> 0.2.8-10.mga7
+ Revision: 1135561
- Rebuild for python 3.6

* Tue Feb 16 2016 umeabot <umeabot> 0.2.8-9.mga6
+ Revision: 962403
- Mageia 6 Mass Rebuild

* Fri Oct 09 2015 shlomif <shlomif> 0.2.8-8.mga6
+ Revision: 888095
- Rebuild for new Python3 (3.5.x)

* Wed Oct 15 2014 umeabot <umeabot> 0.2.8-7.mga5
+ Revision: 740181
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 0.2.8-6.mga5
+ Revision: 729384
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 0.2.8-5.mga5
+ Revision: 688235
- Mageia 5 Mass Rebuild

* Mon Aug 18 2014 grenoya <grenoya> 0.2.8-4.mga5
+ Revision: 665166
- new version 0.2.8

* Sat May 31 2014 pterjan <pterjan> 0.2.7-4.mga5
+ Revision: 628925
- Rebuild for new Python

* Tue Oct 22 2013 umeabot <umeabot> 0.2.7-3.mga4
+ Revision: 543967
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 0.2.7-2.mga4
+ Revision: 499141
- Rebuild to add different pythonegg provides for python 2 and 3

* Wed Oct 02 2013 grenoya <grenoya> 0.2.7-1.mga4
+ Revision: 490565
- new version 0.2.7
- add python3 packages

* Sun Jan 13 2013 umeabot <umeabot> 0.2.4-2.mga3
+ Revision: 379291
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Apr 24 2011 grenoya <grenoya> 0.2.4-1.mga1
+ Revision: 90100
- imported package python-pyaudio

